Bug 1338879 - The GNU C Library version 2.24
The GNU C Library version 2.24
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Carlos O'Donell
ChangeAcceptedF25, SelfContainedChange
:
Depends On: 1315476 1324623 1338887 1338889
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-23 10:41 EDT by Florian Weimer
Modified: 2016-11-22 08:59 EST (History)
2 users (show)

See Also:
Fixed In Version: glibc-2.24-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-22 08:59:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2016-05-23 10:41:51 EDT
This is a tracking bug for Change: The GNU C Library version 2.24
For more details, see: https://fedoraproject.org//wiki/Changes/GLIBC224

Switch glibc in Fedora 25 to glibc version 2.24.
Comment 1 Jan Kurik 2016-07-26 00:08:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 2 Jan Kurik 2016-07-26 01:22:49 EDT
On 2016-July-26, we have reached Fedora 25 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-July-29 meeting.
Comment 3 Carlos O'Donell 2016-07-26 09:18:28 EDT
The glibc 2.24 release comes out on August 1st. And while everything is ready, tested, and stable, we will not flip this to modified until August 1st when the ABI is locked into place and assurances provided by the upstream community.

Therefore to reiterate the timelines:
- Continuous testing on F25 of what will becomes glibc 2.24.
- August 1st - glibc 2.24 branches.
- August 1st - glibc F25 receives final update from glibc 2.24 official branch.
- This bug is flipped to MODIFIED.
Comment 4 Carlos O'Donell 2016-08-08 20:23:41 EDT
This is now complete.

The final dates were:
- August 2nd - glibc 2.24 released.
- August 7th - glibc F25 received update from glibc 2.24 official branch.

F25 now has glibc-2.24-1.fc25 with glibc 2.24.
Comment 5 Jan Kurik 2016-09-29 05:06:16 EDT
On 2016-Sep-27 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 25 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan
Comment 6 Carlos O'Donell 2016-09-29 09:49:08 EDT
This is definitely ON_QA, we have made 3 releases to F25.

e.g.
glibc-2.24-3.fc25
http://koji.fedoraproject.org/koji/buildinfo?buildID=792820

Note You need to log in before you can comment on or make changes to this bug.